###

###

###

###

###

###

    STRSPN(3)           Linux Programmer's Manual           STRSPN(3)

    NAME
           strspn, strcspn - search a string for a set of characters

    SYNOPSIS
           #include <string.h>

           size_t strspn(const char *s, const char *accept);

           size_t strcspn(const char *s, const char *reject);

    DESCRIPTION
           The strspn() function calculates the length of the initial
           segment of s which  consists  entirely  of  characters  in
           accept.

           The  strcspn()  function calculates the length of the ini-
           tial segment of s which consists  entirely  of  characters
           not in reject.

    RETURN VALUE
           The  strspn() function returns the number of characters in
           the initial segment of s which consist only of  characters
           from accept.

           The strcspn() function returns the number of characters in
           the initial segment of s  which  are  not  in  the  string
           reject.

    CONFORMING TO
           SVID 3, POSIX, BSD 4.3, ISO 9899

### SEE ALSO

index, memchr, rindex, strchr, strpbrk, strsep, strstr, strtok,

                              April 12, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0